//***************************************************
// Page HTML et Javascript de gestion des Paramètres
//***************************************************
const char *ParaHtml = R"====(
  <!doctype html>
  <html><head><meta charset="UTF-8"><style>
    * {box-sizing: border-box;}
    body {font-size:150%;text-align:center;width:100%;max-width:1000px;margin:auto;background: linear-gradient(#003,#77b5fe,#003);background-attachment:fixed;color:white;}
    h2{text-align:center;color:white;}
    a:link {color:#eef;text-decoration: none;}
    a:visited {color:#eef;text-decoration: none;}
    .form {margin:auto;padding:10px;display: table;text-align:left;width:100%;}
    .ligne {display: table-row;padding:10px;}
    label,input{display: table-cell;margin: 5px;text-align:left;font-size:20px;height:25px;}
    .boldT{text-align:left;font-weight:bold;display: table-row;}
    .onglets{margin-top:4px;left:0px;font-size:130%;}
    .Baccueil,.Bparametres{margin-left:20px;border:outset 4px grey;background-color:#333;border-radius:6px;padding-left:20px;padding-right:20px;display:inline-block;}
    .Bparametres{border:inset 10px azure;}
    #BoutonsBas{display:block;text-align:right;margin-top:20px;}
    .pied{display:flex;justify-content:space-between;font-size:14px;color:white;}
    .fsize10{font-size:10px;height:14px;}
    #DataESP32,#tableauLinky,#tableauEnphase { background-color:white;display:inline-block;margin:auto;padding:4px;}
    table {border:10px inset azure;color:black;}
    td { text-align: left;padding:4px;}
  </style>
  </head>
  <body onLoad="LoadPara();">
    <div class='onglets'><div class='Baccueil'><a href='/'>Accueil</a></div><div class='Bparametres'><a href='/Para'>Param&egrave;tres</a></div></div>
    <h2 id='nom_R'>Affichage Routeur Solaire - DISP</h2><h4>Param&egrave;tres</h4>
    
    <div class="form"  >
      <div class='ligne' id="ligneExt">
        <label for='RMSextIP'>Adresse IP ESP Routeur externe (ex : 192.168.1.248) : </label>
        <input type='text' name='RMSextIP' id='RMSextIP' >
      </div>
    </div>
      <br>
    <div  id='BoutonsBas'>  
        <input type='button' onclick="SendValues();" value='Sauvegarder' >
    </div>
    <br>
    <div id='DataESP32'></div>
    <br>
    <div class='pied'><div></div><div id=adip_local></div></div>
    
    <div class='pied'><div>Affichage Routeur Version : <span id='version'></span></div><div><a href='https:F1ATB.fr' >F1ATB.fr</a></div></div>
    <br>
    <script>
      var GS=String.fromCharCode(29); //Group Separator
      var RS=String.fromCharCode(30); //Record Separator
      function Init(){
        
      }
      function LoadPara() {
        var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function() { 
              if (this.readyState == 4 && this.status == 200) {
                var Retour=this.responseText;
                var LesParas=Retour.split(GS);
                var Para=LesParas[0].split(RS);
                var message=LesParas[1].split(RS);
                GID("RMSextIP").value=int2ip(Para[0]);
                var ad_local="<a href='http://" + Para[1] + ".local'>http://" + Para[1] + ".local</a";
                GH("adip_local",ad_local);
                GH("version",Para[2]);  

                var S='<table>';
                var H=parseInt(message[0]);
                H=H + (message[0]-H)*0.6;
                H=H.toFixed(2);
                H=H.replace(".", "h ")+"mn";
                S+='<tr><td>ESP On depuis :</td><td>'+H+'</td></tr>';
                S+='<tr><td>Niveau WiFi :</td><td>'+message[1]+' dBm</td></tr>';
                S+="<tr><td>Point d'acc&egrave;s WiFi :</td><td>"+message[2]+'</td></tr>';
                S+='<tr><td>Adresse MAC ESP32 :</td><td>'+message[3]+'</td></tr>';
                S+='<tr><td>R&eacute;seau WiFi :</td><td>'+message[4]+'</td></tr>';
                S+='<tr><td>Adresse IP ESP32 :</td><td>'+message[5]+'</td></tr>';
                S+='<tr><td>Adresse passerelle :</td><td>'+message[6]+'</td></tr>';
                S+='<tr><td>Masque du r&eacute;seau :</td><td>'+message[7]+'</td></tr>';
                S+='</table>';
                GH('DataESP32', S); 
              }         
            };
            xhttp.open('GET', 'ParaAjax', true);
            xhttp.send();
      }
      function SendValues(){
        var S= ip2int(GID("RMSextIP").value);
        S="?lesparas="+S;
        var xhttp = new XMLHttpRequest();
          xhttp.onreadystatechange = function() { 
            if (this.readyState == 4 && this.status == 200) {
              var retour=this.responseText;
              location.reload();
            }         
          };
          xhttp.open('GET', 'ParaUpdate'+S, true);
          xhttp.send();       
      }
      function GID(id) { return document.getElementById(id); };
      function GH(id, T) {
        if ( GID(id)){ GID(id).innerHTML = T; }
      }
  function int2ip (V) {
    var ipInt=parseInt(V);
    return ( (ipInt>>>24) +'.' + (ipInt>>16 & 255) +'.' + (ipInt>>8 & 255) +'.' + (ipInt & 255) );
  }
  function ip2int(ip) {
    ip=ip.trim();
    return ip.split('.').reduce(function(ipInt, octet) { return (ipInt<<8) + parseInt(octet, 10)}, 0) >>> 0;
  }
    </script>
  </body></html>
)====";
